Connect app with credentials
curl --request POST \
--url https://api.onecli.sh/v1/apps/{provider}/connect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": {
"apiKey": "sk-..."
},
"connectionId": "<string>",
"label": "<string>",
"method": "<string>"
}
'import requests
url = "https://api.onecli.sh/v1/apps/{provider}/connect"
payload = {
"fields": { "apiKey": "sk-..." },
"connectionId": "<string>",
"label": "<string>",
"method": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fields: {apiKey: 'sk-...'},
connectionId: '<string>',
label: '<string>',
method: '<string>'
})
};
fetch('https://api.onecli.sh/v1/apps/{provider}/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "<string>"
}Apps
Connect app with credentials
Connects an app using direct credentials (API key, service account, etc.) rather than OAuth.
POST
/
apps
/
{provider}
/
connect
Connect app with credentials
Authorizations
API key obtained from the dashboard or GET /user/api-key
Path Parameters
App provider identifier (e.g., gmail, github, jira)
Body
application/json
Credential fields required by the app
Show child attributes
Show child attributes
Example:
{ "apiKey": "sk-..." }
Reconnect an existing connection
Display label for the connection. Defaults to a label derived from the credential metadata.
Connection method to use for apps with multiple methods (e.g. OAuth primary + API-key alternate). An unrecognized value is rejected.
Response
Connected
⌘I